<?php

class Counter {
	
	//---------------------------------------------------------
	//  コントロール設定
	//---------------------------------------------------------
	
	public static function control() {
		
		// コントロール設定を返す
		return array(false, true, false, false);
		
	}
	
	//---------------------------------------------------------
	//  テキストカウンター表示
	//---------------------------------------------------------
	
	public static function execute() {
		
		// DBクラスを取得
		$db = $GLOBALS['obj']['db'];
		
		////////////////////////////////////////////////////////////
		
		// DBが存在しない時は終了
		if (!$db->exists(MAIN_DB)) {
			return;
		}
		
		// UU/PVを取得
		$type = $GLOBALS['args'][1];
		
		// 日付種別を取得
		$day = $GLOBALS['args'][2];
		
		// 変数を初期化
		$count = '';
		$column = '';
		
		// 累計テーブル名を取得
		$totalTable = $db->table('total');
		
		// 月間テーブル名を取得
		$countTable = $db->table('count');
		
		// クエリーを作成
		$selectTotalQuery = "select * from $totalTable;";
		
		// クエリーを実行
		$rec = $db->queryFetch($selectTotalQuery);
		
		// 累計カウントの時
		if ($day === 'total') {
			
			// カラム名を設定
			$column = 'total_' . $type;
			
			// JavaScriptを出力
			$count = $rec[$column];
			
		}
		
		// 昨日/今日カウントの時
		else {
			
			// カラム名を設定
			$column = ($day === 'today') ? 'td_date' : 'yd_date';
			
			// 日付を取得
			$date = $rec[$column];
			
			// 年月日に分割
			list($y, $m, $d) = explode('-', $date);
			
			// 月間DB名を設定
			$atDB = 'access_' . $y . '_' . $m . '.db';
			
			// DBが存在しない時は終了
			if (!$db->exists($atDB)) {
				return;
			}
			
			// 月間DBに追加接続
			$db->attach($atDB);
			
			// カラム名を設定
			$column = 'sum_' . $type;
			
			// クエリーを作成
			$selectCountQuery = "select $column as count from $countTable where date = '$date';";
			
			// クエリーを実行
			$count = $db->queryFetch($selectCountQuery, 'count');
			
		}
		
		// JavaScript用ヘッダーを出力
		header("Content-type: application/x-javascript; charset=UTF-8");
		
		// JavaScriptを出力
		echo 'document.write(' . $count . ');';
		
	}
	
}

